ReadySetGoParserInternal::State Struct Reference

Internal: the state of a ReadySetGoParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
bool | m_designStudio
| a flag to descriminate between ReadySetGo and Design Studio
int | m_numLayouts
| the number of layouts: used for v3
int | m_numGlossary
| the number of glossary: used for v4
int | m_numObjectGlossary
| the number of object glossary: used for v6
int | m_numStyles
| the number of styles: v4
bool | m_hasCustomColors
| a flag to know if the document has custom colors: v5
bool | m_hasFontsBlock2
| a unknown zone : v6

## Detailed Description

Internal: the state of a ReadySetGoParser.

## Constructor & Destructor Documentation

## ◆ State()

ReadySetGoParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_designStudio

bool ReadySetGoParserInternal::State::m_designStudio

a flag to descriminate between ReadySetGo and Design Studio

Referenced by State().

## ◆ m_hasCustomColors

bool ReadySetGoParserInternal::State::m_hasCustomColors

a flag to know if the document has custom colors: v5

Referenced by State().

## ◆ m_hasFontsBlock2

bool ReadySetGoParserInternal::State::m_hasFontsBlock2

a unknown zone : v6

Referenced by State().

## ◆ m_numGlossary

int ReadySetGoParserInternal::State::m_numGlossary

the number of glossary: used for v4

Referenced by State().

## ◆ m_numLayouts

int ReadySetGoParserInternal::State::m_numLayouts

the number of layouts: used for v3

Referenced by State().

## ◆ m_numObjectGlossary

int ReadySetGoParserInternal::State::m_numObjectGlossary

the number of object glossary: used for v6

Referenced by State().

## ◆ m_numStyles

int ReadySetGoParserInternal::State::m_numStyles

the number of styles: v4

Referenced by State().

The documentation for this struct was generated from the following file:

- ReadySetGoParser.cxx